Bug 34174 - rc2 anaconda won't reset trashed MBR
Summary: rc2 anaconda won't reset trashed MBR
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-30 21:50 UTC by Bowe Strickland
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 20:17:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bowe Strickland 2001-03-30 21:50:17 UTC
Using 7.1-rc2, I overwrote /dev/hda w/ image of 
dhcp-kickstart-bootnet.img (to speed up loading of 
installer).

	cat dhcp.ks.bootnet.img > /dev/hda

upon rebooting, using TUI ftp install, anaconda 
complained:

fdisk error: cylinder boundaries don't match drive
geometry (naturally, i just hosed my MBR...)

my *only* option was to skip drive, resulting in
a "no valid drives found" error and a tailspin...

from the command line, fdisk knows how to reset the mbr.
the installer should offer this option as well...

as i understand it, currently, if your MBR is hosed, 
anaconda won't install. (assuming you don't know 
enough about fdisk to go to the command line).

thanx!  --bowe

Comment 1 Michael Fulbright 2001-04-02 14:51:15 UTC
We will consider different behavior in the future - admittedly your case is an
extremely rare incidence (most users do not mess manually with the boot sector).

You can just goto VC2 (cntl-alt-f2) when you get to this point in the install and

mknod /tmp/hda
fdisk /tmp/hda

and reset it as you like.


Comment 2 Bowe Strickland 2001-04-02 17:03:01 UTC
agreed, but note that VC2 is not an option for kickstart installs (where
'wipembr yes' has been defined!) (although inelegant scripting of fdisk through
%pre would be possible).

FWIW, i'm not sure it's "extremely rare" for someone to be handling an
unitialized drive at install time.  I've been frustrated with other
"unnamed vendors ;)" providing an installer that demanded that I had
an initialized MBR before.  For an installer not to be able to trivially 
configure blank media seems a bad assumption.

thanx!  --bowe

Comment 3 Brent Fox 2001-04-03 19:30:48 UTC
As msf said, this is something we will consider for the future.  It's much too
late in the cycle to consider this for the current release.  Deferring.

Comment 4 Michael Fulbright 2001-09-17 20:17:58 UTC
Should work better with roswell.


Note You need to log in before you can comment on or make changes to this bug.